GuidesAPI Reference
API Reference

Routes

Lists intermodal routes. All or a combination of the following services may be utilized by the intermodal algorithm to generate intermodal routes:

  • Vehicle routing.
  • Intermodal routing with real-time and timetable departures.
  • Pedestrian routing with pedestrian connectivity.
  • Park and Ride service that combines vehicle and public transit routing.
  • Real-time traffic and traffic incidents.
  • Public transit service delays/disruptions information from transit authorities.
  • Amenities available at transit stations or nearby (such as parking, EV charging stations, etc.).
  • Sharing services available at transit stations or nearby (such as car sharing, taxi, bicycle, etc.).
Query Params
string
required
Defaults to 52.5251,13.3694

Trip origin WGS-84 compliant coordinates.

Format: {lat},{lng}[;placeName={name}]

The optional placeName parameter can be used to customize the name of the origin place and will affect the generated actions descriptions.

string
required
Defaults to 53.5251,20.3694

Trip destination WGS-84 compliant coordinates.

Format: {lat},{lng}[;placeName={name}]

The optional placeName parameter can be used to customize the name of the destination place and will affect the generated actions descriptions.

string

Defines an intermediate via waypoint.

At the moment via point is supported with the following syntax:

via=place:parkingLot;strategy={strategy}: Defines the change between modes in a parking lot. The optional parameter strategy defines the search strategy for candidate parking lots. Here is a list of possible strategies:

  • diverseChoices (default): Parking lots close to the origin or close to the city border will be considered.
  • parkLate: switch from car to public transit as soon as possible after entering the destination city's limits.
  • parkEarly: try to switch from car to public transit as early as possible.
lang
array of strings
Defaults to en-US

Specifies the list of preferred languages of the response. The first supported language from the list will be used for the response. The value should comply with the IETF BCP 47.

lang
string
enum

Units of measurement used, for example, in guidance instructions. The default is metric.

If imperial units are requested and the requested language is en-US, then United States customary units (miles and feet) will be used. If imperial units are requested and a language other than en-US is requested then imperial (miles and yards) units will be used.

Allowed:
date-time

Specifies the time of departure as defined by either date-time or full-date T partial-time in RFC 3339, section 5.6 (for example, 2019-06-24T01:23:45). The requested time is converted to the local time at origin. When the optional timezone offset is not specified, time is assumed to be local. If neither departureTime or arrivalTime are specified, current time at departure location will be used. All Time values in the response are returned in the timezone of each location.

date-time

Specifies the time of arrival as defined by either date-time or full-date T partial-time in RFC 3339, section 5.6 (for example, 2019-06-24T01:23:45). The requested time is converted to the local time at destination. When the optional timezone offset is not specified, time is assumed to be local. All Time values in the response are returned in the timezone of each location.

Note : The following features do not support the arrivalTime parameter:

  • EV Routing
  • Route Handle
  • Route Import
integer
0 to 5
Defaults to 0

Number of alternative routes to return aside from the optimal route. By default, alternatives=0 is assumed and only one optimal route is returned. In cases where also a pedestrian route is available it will be also returned. This may lead to two routes being returned in total (one transit route and one pedestrian route) even though only one is expected when alternatives=0 is given.

integer
0 to 6

Maximum number of changes or transfers allowed in a route. Unlimited number of changes is permitted when not set.

accessibility
array of strings

Defines accessibility requirements for routes.

  • wheelchair - Select only wheelchair accessible vehicles and stations.
number
0.5 to 2
Defaults to 1

Walking speed in meters per second. Influences the duration of walking segments from origin to a station, from a station to destination and in-between the stations (e.g. if transfer is needed).

integer
0 to 6000
Defaults to 2000

Maximum allowed walking distance in meters (e.g. when looking for nearest stations).

integer
1 to 5000
Defaults to 750

Preferred minimal cycling distance in meters (e.g. when searching for nearest stations). Unlike bicycle[maxDistance] this is not a requirement but a preferred value. This means that routes that are slightly shorter than the given value may still be returned. The default value is 750m if transit[enable] contains entireRoute, otherwise it is 1m.

integer
1 to 10000
Defaults to 5000

Maximum allowed cycling distance in meters (e.g. when looking for nearest stations).

integer
1 to 5000
Defaults to 750

Preferred minimal travel distance in meters (e.g. when searching for nearest stations). Unlike kickScooter[maxDistance] this is not a requirement but a preferred value. This means that routes that are slightly shorter than the given value may still be returned. The default value is 750m if transit[enable] contains entireRoute, otherwise it is 1m.

integer
1 to 10000
Defaults to 5000

Maximum allowed travel distance in meters (e.g. when looking for nearest stations).

transit[modes]
array of objects

Mode filter used to determine which transit modes to include in the response. By default, all supported transit modes are permitted.

transit[modes]
transit[enable]
array of strings
Defaults to routeHead,routeTail,entireRoute

Route parts where the transit modes are allowed. By default, transit modes are allowed everywhere in the route.

transit[enable]
vehicle[modes]
array of objects

Modes filter used to determine which vehicle modes to include in the response.

vehicle[modes]
vehicle[enable]
array of strings
Defaults to

Route parts where the private vehicle modes are allowed. By default, vehicle modes are not allowed. The combination of car in vehicle[modes] and routeTail in vehicle[enable] is not supported and is ignored. In other words, a car is not supported in route tail. All other combinations of vehicle[modes] and vehicle[enable] work as expected.

vehicle[enable]
taxi[modes]
array of objects

Modes filter used to determine which taxi modes to include in the response. By default, all supported taxi modes are permitted.

taxi[modes]
taxi[enable]
array of strings
Defaults to routeHead,routeTail,entireRoute

Route parts where the taxi vehicle modes are allowed. By default, taxi modes are allowed everywhere in the route.

taxi[enable]
rented[modes]
array of objects

Modes filter used to determine which rented modes to include in the response. By default, all supported rented modes are permitted.

rented[modes]
rented[enable]
array of strings
Defaults to routeHead,routeTail,entireRoute

Route parts where the rented vehicle modes are allowed. By default, rented modes are allowed everywhere in the route.

rented[enable]
return
array of strings

Defines which section attributes are included.

  • intermediate - List of intermediate stops within a section of the route. If enabled, the response includes intermediateStops attribute. Each intermediate stop includes stop/station names, WGS-84 geocoordinates, and the departure times at the stops.

  • fares - List of fares/tickets to cover a section of the route.

    NOTE: Fares information support will be available soon.

  • polyline - Polyline for the route in Flexible Polyline Encoding.

  • actions - Actions (such as maneuvers or tasks) that must be taken to complete the section.

  • travelSummary - Include summary for the travel portion of the section.

  • incidents - Include a list of all incidents applicable to each section.

  • bookingLinks - Include a list of links to book a ride for a section of the route.

  • nextDepartures - Return the next departures for the transit section.

  • sourceFeedMapping - Include a list of source feed data that matches the data of the section.

  • serviceTimes - Include service times for the transit section.

    NOTE: serviceTimes is an experimental feature and may not return accurate results for all routes.

Headers
string

User-provided token that can be used to trace a request or a group of requests sent to the service.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json